Name:           perl-Test-Needs
Version:        0.002005
Release:        8
Summary:        Skip tests when modules not available
License:        GPL+ or Artistic

URL:            https://metacpan.org/release/Test-Needs
Source0:        https://cpan.metacpan.org/authors/id/H/HA/HAARG/Test-Needs-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  make perl-interpreter perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76 perl(IPC::Open3) perl(Test::Builder)
BuildRequires:  perl(Test::More) >= 0.45 perl(Test2::API) perl(Test2::Event) perl(lib)
BuildRequires:  perl(strict) perl(version) perl(warnings)

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
This package is test framework. skip test scripts if modules are not available.

%prep
%autosetup -n Test-Needs-%{version} -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
%{__make} pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
%if %{?_with_check:1}%{!?_with_check:0}
%{__make} test
%endif

%files
%doc Changes README
%{perl_vendorlib}/Test*
%{_mandir}/man3/Test*

%changelog
* Tue Nov 19 2019 Wanjiankang <wanjiankang@huawei.com> - 0.002005-8
- Package init
